package com.sdtool.common.entity.site;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;

/**
 * Created by jlutt on 2018-11-23.
 * 站内信
 * <br>
 * 站内信
 *
 * @author jlutt
 */
public class SysMessage extends BaseEntity {

    @Comment("消息id，取sys_article_id")
    private long messageId;

    /**
     * 消息类型，
     * 0为系统消息，发给所有人，则recvUserId为0，系统消息需要记录用户的已读和未读
     * 1为业务消息，比如erp中的生产消息
     * 2为发货消息，
     * 3为其他消息
     * 大于0的类型均为发送给个人的，
     */
    @Comment("消息类型")
    private int messageType;

    @Comment("发送人id")
    private long sendUserId;

    @Comment("发送人")
    private String sendUserName;

    @Comment("发送时间")
    private long sendTimeLong;

    @Comment("接收人id")
    private long recvUserId;

    @Comment("接收人")
    private String recvUserName;

    @Comment("过期标记")
    private int expireFlag;

    @Comment("过期时间，系统应该启动一个线程，自动扫描到期的消息，标记过期")
    private long expireTime;

    @Comment("给点对点消息使用，读取状态")
    private int readStatus;

    @Comment("对应内容id")
    private long textId;

    public long getMessageId() {
        return messageId;
    }

    public void setMessageId(long messageId) {
        this.messageId = messageId;
    }

    public int getMessageType() {
        return messageType;
    }

    public void setMessageType(int messageType) {
        this.messageType = messageType;
    }

    public long getSendUserId() {
        return sendUserId;
    }

    public void setSendUserId(long sendUserId) {
        this.sendUserId = sendUserId;
    }

    public String getSendUserName() {
        return sendUserName;
    }

    public void setSendUserName(String sendUserName) {
        this.sendUserName = sendUserName;
    }

    public long getRecvUserId() {
        return recvUserId;
    }

    public void setRecvUserId(long recvUserId) {
        this.recvUserId = recvUserId;
    }

    public String getRecvUserName() {
        return recvUserName;
    }

    public void setRecvUserName(String recvUserName) {
        this.recvUserName = recvUserName;
    }

    public int getExpireFlag() {
        return expireFlag;
    }

    public void setExpireFlag(int expireFlag) {
        this.expireFlag = expireFlag;
    }

    public long getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(long expireTime) {
        this.expireTime = expireTime;
    }

    public int getReadStatus() {
        return readStatus;
    }

    public void setReadStatus(int readStatus) {
        this.readStatus = readStatus;
    }

    public long getSendTimeLong() {
        return sendTimeLong;
    }

    public void setSendTimeLong(long sendTimeLong) {
        this.sendTimeLong = sendTimeLong;
    }

    public long getTextId() {
        return textId;
    }

    public void setTextId(long textId) {
        this.textId = textId;
    }
}
